unit uEditorRuler;

interface

uses
  Rubies, HEditor;

var
  cEditorRuler: Tvalue;

function ap_iEditorRuler(real: TEditorRuler; owner: Tvalue): Tvalue;
procedure Init_EditorRuler;

implementation

uses
  Pythia, uEditor, uNotifyPersistent;

function EditorRuler_alloc(This: Tvalue; real: TEditorRuler): Tvalue;
begin
  result := TmpAlloc(This, real);
end;

function ap_iEditorRuler(real: TEditorRuler; owner: Tvalue): Tvalue;
begin
  result := EditorRuler_alloc(cEditorRuler, real);
  ap_owner(result, owner);
end;

function ap_iEditorRuler_v(var AControl; owner: Tvalue): Tvalue;
begin
  result := ap_iEditorRuler(TEditorRuler(AControl), owner)
end;
procedure Init_EditorRuler;
begin
  cEditorRuler := rb_define_class_under(cEditor, 'Ruler', cNotifyPersistent);
  DefineProp(cEditorRuler, TEditorRuler);
end;

end.
